=== debian/control ===
Source: graphite2
Priority: optional
Section: libs
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Rene Engelhard <rene@debian.org>,
 Daniel Glassey <wdg@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 g++-14 [arm64 loong64 ppc64el],
 python3:native,
 python3-fonttools <!nocheck>,
Build-Depends-Indep:
 asciidoc-dblatex,
 docbook-xsl,
 doxygen,
 graphviz,
 libxml2-utils,
 python3-all,
 python3-setuptools,
 texlive-latex-recommended,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://graphite.sil.org/
Vcs-Git: https://salsa.debian.org/fonts-team/graphite2.git
Vcs-Browser: https://salsa.debian.org/fonts-team/graphite2

Package: libgraphite2-3
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 libgraphite2-2.0.0,
Replaces:
 libgraphite2-2.0.0,
Breaks:
 libgraphite2-2.0.0 (<< 1.2.0),
Multi-Arch: same
Description: Font rendering engine for Complex Scripts -- library
 Graphite is a system that can be used to create and use "smart fonts" capable
 of displaying writing systems with various complex behaviors, such as:
 contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
 stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to
 other smart font rendering technologies with limited practical local
 extensibility. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors.
 .
 The behavior of the rendering engine for a given writing system is specified
 through extra tables added to a TrueType font.  These tables are generated by
 compiling a GDL (Graphite Description Language) source file into a font using
 grcompiler.
 .
 This package contains the shared library.

Package: libgraphite2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgraphite2-3 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libgraphite2-utils,
Description: Development files for libgraphite2
 Graphite is a system that can be used to create and use "smart fonts" capable
 of displaying writing systems with various complex behaviors, such as:
 contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
 stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to
 other smart font rendering technologies with limited practical local
 extensibility. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors.
 .
 The behavior of the rendering engine for a given writing system is specified
 through extra tables added to a TrueType font.  These tables are generated by
 compiling a GDL (Graphite Description Language) source file into a font using
 grcompiler.
 .
 This package contains the development libraries for libgraphite2

Package: libgraphite2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Documentation for libgraphite2
 Graphite is a system that can be used to create and use "smart fonts" capable
 of displaying writing systems with various complex behaviors, such as:
 contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
 stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to
 other smart font rendering technologies with limited practical local
 extensibility. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors.
 .
 The behavior of the rendering engine for a given writing system is specified
 through extra tables added to a TrueType font.  These tables are generated by
 compiling a GDL (Graphite Description Language) source file into a font using
 grcompiler.
 .
 PDF and HTML documentation for libgraphite2

Package: libgraphite2-utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: fonts
Description: Font rendering engine for Complex Scripts -- utilities
 Graphite is a system that can be used to create and use "smart fonts" capable
 of displaying writing systems with various complex behaviors, such as:
 contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
 stacking diacritics and complex positioning.
 .
 This package contains gr2fonttest.

Package: python3-graphite2
Section: python
Architecture: all
Depends:
 libgraphite2-3,
 ${misc:Depends},
 ${python3:Depends},
Description: Python bindings for libgraphite2
 Graphite is a system that can be used to create and use "smart fonts" capable
 of displaying writing systems with various complex behaviors, such as:
 contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
 stacking diacritics and complex positioning.
 .
 This library was designed and developed by the NRSI (Non-Roman Script
 Initiative) within SIL International (www.sil.org) to act as a complement to
 other smart font rendering technologies with limited practical local
 extensibility. Its purpose is to help meet the needs of a very large number
 of "minority language" communities for local extensibility of complex script
 behaviors.
 .
 The behavior of the rendering engine for a given writing system is specified
 through extra tables added to a TrueType font.  These tables are generated by
 compiling a GDL (Graphite Description Language) source file into a font using
 grcompiler.
 .
 This package contains the Python 3 bindings for libgraphite2.
