=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import graphite2; print(graphite2)" ; done
Depends:
 python3-all,
 python3-graphite2,
Restrictions: allow-stderr, superficial
Features: test-name=autodep8-python3

Tests: test
Depends:
 libgraphite2-3,
 libgraphite2-utils,
 python3-graphite2,
 @builddeps@,
Restrictions: allow-stderr
