=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/graphite2-$1\.tar\.gz/ \
  https://github.com/silnrsi/graphite/tags .*/v?(\d\S+)\.tar\.gz
